Subject: Re: [RFC PATCH 6/6] ls-tree: introduce '--pattern' option

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Dec 2022 08:57:54 +0900

Johannes Schindelin <[email-masked]> writes:

> The hard-coded object IDs break the `linux-sha256` job, as pointed out in
> https://github.com/git/git/blob/6ab7651d8669/whats-cooking.txt#L522-L537.
>
> Please squash this in to address this (Junio, please feel free to
> cherry-pick this on top of `tl/ls-tree--pattern` to reduce the number of
> CI failures):

These days, I gather topics with known CI breakages near the tip of
'seen', and push out only the good bottom half of 'seen' until such
a topic gets rerolled, at which time it gets added back to the set
of topics pushed out on 'seen' again (and then ejected if it CI
breaks).  I excluded the part with the topic from last night's
pushout.

By the way do you know anything about xterm-256color error in win
test(6)?

https://github.com/git/git/actions/runs/3676139624/jobs/6216575838#step:5:196

I do not think we hard-code any specific terminal name (other than
dumb and possibly vt100) in our tests or binaries, so it may be
coming from the CI runner environment---some parts incorrectly think
xterm-256color is available there while there is no support for the
particular terminal?

Thanks.